# QueryStatisticsData.QueryEntry

The collected statistics for one query.

Methods
double | getExecutionTimeStandardDeviation()
double | getExecutionTimeStandardDeviation()
double | getRowCountStandardDeviation()
double | getRowCountStandardDeviation()

Fields
static int | count
static long | executionTimeCumulativeNanos
static long | executionTimeMaxNanos
static double | executionTimeMeanNanos
static long | executionTimeMinNanos
static long | lastUpdateTime
static long | rowCountCumulative
static int | rowCountMax
static double | rowCountMean
static int | rowCountMin
static String | sqlStatement

#### count

The number of times the statement was executed.

#### executionTimeCumulativeNanos

The total execution time.

#### executionTimeMaxNanos

The maximum execution time, in nanoseconds.

#### executionTimeMeanNanos

The mean execution time.

#### executionTimeMinNanos

The minimum execution time, in nanoseconds.

#### lastUpdateTime

The last time the statistics for this entry were updated, in milliseconds since 1970.

#### rowCountCumulative

The total number of rows.

#### rowCountMax

The maximum number of rows.

#### rowCountMean

The mean number of rows.

#### rowCountMin

The minimum number of rows.

#### sqlStatement

The SQL statement.